View Issue Details

IDProjectCategoryView StatusLast Update
0021536LazarusIDEpublic2012-03-25 22:01
ReportercobinesAssigned ToMaxim Ganetsky 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
PlatformWin32OSWindows XPOS VersionSP3
Product Version0.9.31 (SVN)Product Build36183 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0021536: Autosize UI in Sort Selection dialog
DescriptionSee attached picture.
The groupboxes and buttons should be autosized.
Also I think it would be good to make Options into two rows as the strings are long.
TagsNo tags attached.
Fixed in Revision36291, 36313
LazTarget-
Widgetset
Attached Files

Activities

2012-03-23 02:51

 

sort_selection.png (24,751 bytes)
sort_selection.png (24,751 bytes)

Maxim Ganetsky

2012-03-24 17:34

developer   ~0057985

Please test and close if ok.

Note that there may be UI regressions, as the changes are quite invasive, so please test carefully.

cobines

2012-03-25 00:59

reporter   ~0057990

Last edited: 2012-03-25 01:16

It looks better now, thanks.

I found that Ignore Space option is not checked when dialog is shown, even though it seems that this option is turned on by default.

This isn't a regression though. I checked just now and it wasn't ticked before either.

Maxim Ganetsky

2012-03-25 16:38

developer   ~0058006

Thanks for the hint.

Please test and close if ok.

Issue History

Date Modified Username Field Change
2012-03-23 02:51 cobines New Issue
2012-03-23 02:51 cobines File Added: sort_selection.png
2012-03-24 16:41 Maxim Ganetsky Status new => assigned
2012-03-24 16:41 Maxim Ganetsky Assigned To => Maxim Ganetsky
2012-03-24 17:34 Maxim Ganetsky Fixed in Revision => 36291
2012-03-24 17:34 Maxim Ganetsky LazTarget => -
2012-03-24 17:34 Maxim Ganetsky Status assigned => resolved
2012-03-24 17:34 Maxim Ganetsky Fixed in Version => 0.9.31 (SVN)
2012-03-24 17:34 Maxim Ganetsky Resolution open => fixed
2012-03-24 17:34 Maxim Ganetsky Note Added: 0057985
2012-03-25 00:59 cobines Status resolved => assigned
2012-03-25 00:59 cobines Resolution fixed => reopened
2012-03-25 00:59 cobines Note Added: 0057990
2012-03-25 01:16 cobines Note Edited: 0057990
2012-03-25 16:38 Maxim Ganetsky Fixed in Revision 36291 => 36291, 36313
2012-03-25 16:38 Maxim Ganetsky Status assigned => resolved
2012-03-25 16:38 Maxim Ganetsky Resolution reopened => fixed
2012-03-25 16:38 Maxim Ganetsky Note Added: 0058006
2012-03-25 22:01 cobines Status resolved => closed